From 440fd1d51c5aa7763d3d810b542a7e373a6738eb Mon Sep 17 00:00:00 2001
From: Michael Biebl <biebl@debian.org>
Date: Tue, 19 Oct 2021 23:00:50 +0200
Subject: [PATCH] testbench: skip omfwd_fast_imuxsock.sh if liblogging-stdlog
 is not available

Fixes #4712
---
 tests/omfwd_fast_imuxsock.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/tests/omfwd_fast_imuxsock.sh b/tests/omfwd_fast_imuxsock.sh
index bb35b58d18..10f9f19c18 100755
--- a/tests/omfwd_fast_imuxsock.sh
+++ b/tests/omfwd_fast_imuxsock.sh
@@ -4,6 +4,13 @@
 . ${srcdir:=.}/diag.sh init
 skip_platform "SunOS"  "We have no ATOMIC BUILTINS, so OverallQueueSize counting of imdiag is NOT threadsafe and the counting will fail on SunOS"
 
+./syslog_caller -fsyslog_inject-l -m0 > /dev/null 2>&1
+no_liblogging_stdlog=$?
+if [ $no_liblogging_stdlog -ne 0 ];then
+  echo "liblogging-stdlog not available - skipping test"
+  exit 77
+fi
+
 # export RSYSLOG_DEBUG="debug nologfuncflow noprintmutexaction nostdout"
 export NUMMESSAGES=100000
 
